{inputs, ...}: {
  networking.firewall.allowedTCPPorts = [ 80 443 ];
  services.nginx = {
    enable = true;
    recommendedProxySettings = true;
    recommendedTlsSettings = true;
    virtualHosts = {
      "shobu.fr" = {
        enableACME = true;
        forceSSL = true;

        root = "${inputs.shoblog-front.packages.x86_64-linux.default}/dist";
      };        
    };
  };
  security.acme = {
    acceptTerms = true;
    defaults.email = "lelu.awen@proton.me";
  };
}
